package com.usoftchina.bi.server.model.vo.dataVo;

import com.usoftchina.bi.server.model.bo.ChartsColumnConfig;

import java.util.List;

public class ChartsDataInfo<T> {
    private List<String> xAxis;
    private List<T> serieses;
    private ChartsColumnConfig chartsColumnConfig;
    private boolean tooMany;
    private String styleConfig;

    public String getStyleConfig() {
        return styleConfig;
    }

    public void setStyleConfig(String styleConfig) {
        this.styleConfig = styleConfig;
    }

    public boolean isTooMany() {
        return tooMany;
    }

    public void setTooMany(boolean tooMany) {
        this.tooMany = tooMany;
    }

    public ChartsColumnConfig getChartsColumnConfig() {
        return chartsColumnConfig;
    }

    public void setChartsColumnConfig(ChartsColumnConfig chartsColumnConfig) {
        this.chartsColumnConfig = chartsColumnConfig;
    }

    public List<String> getxAxis() {
        return xAxis;
    }

    public void setxAxis(List<String> xAxis) {
        this.xAxis = xAxis;
    }

    public List<T> getSerieses() {
        return serieses;
    }

    public void setSerieses(List<T> serieses) {
        this.serieses = serieses;
    }


    @Override
    public String toString() {
        return "ChartsDataInfo{" +
                "xAxis=" + xAxis +
                ", serieses=" + serieses +
                '}';
    }
}
